Webhooks
Update a webhook endpoint
Changes the URL, events or description, or pauses deliveries.
PATCH
Changes the URL, events or description, or pauses deliveries.
bearerheader
AuthorizationBearer <JWT>Your secret API key: sk_live_… for live traffic or sk_test_… for testing.
id*stringapplication/json- body
url?stringHTTPS URL that receives events.
Format
uriLength
length <= 2048events?array<>Events to subscribe to.
Items
1 <= itemsdescription?stringA note to help you recognise this endpoint.
Length
length <= 200enabled?booleanPause or resume deliveries to this endpoint.
The updated endpoint.
application/jsoncurl -X PATCH 'https://api.appstractone.com/v1/webhooks/string' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"id": "whe_01M6MJSC366MMHPMM73ABCM5JA",
"url": "https://example.com/webhooks/appstract",
"events": [
"message.delivered",
"message.failed"
],
"description": "Order notifications",
"enabled": false,
"createdAt": "2026-11-05T00:47:20.681Z",
"updatedAt": "2026-11-05T00:47:20.714Z"
}